Package org.eclipse.emf.cdo.server.db

# Class CDODBUtil

java.lang.Object
org.eclipse.emf.cdo.server.db.CDODBUtil

public final class CDODBUtil extends Object
Various static methods that may help in setting up and dealing with `DB stores`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_STATEMENT_CACHE_CAPACITY`
`static final String`
`EXT_POINT_MAPPING_STRATEGIES`
`static final String`
`PROP_COPY_ON_BRANCH`
`static final String`
`PROP_WITH_RANGES`
`static final String`
`PROP_ZEROBASED_INDEX`

## Method Summary

Modifier and Type
Method
Description
`static IMappingStrategy`
`createHorizontalMappingStrategy()`
Creates a horizontal `mapping strategy` that supports all valid combinations of auditing and branching.
`static IMappingStrategy`
`createHorizontalMappingStrategy(boolean auditing)`
`static IMappingStrategy`
`createHorizontalMappingStrategy(boolean auditing, boolean branching)`
`static IMappingStrategy`
`createHorizontalMappingStrategy(boolean auditing, boolean branching, boolean withRanges)`
`static IMappingStrategy`
`createMappingStrategy(String type)`
Can only be used when Eclipse is running.
`static IPreparedStatementCache`
`createStatementCache()`
Deprecated.
As of 4.2 use `IDBConnection.prepareStatement(String, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability)`.
`static IPreparedStatementCache`
`createStatementCache(int capacity)`
Deprecated.
As of 4.2 use `IDBConnection.prepareStatement(String, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability)`.
`static IDBStore`
`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider)`
`static IDBStore`
`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, Map<String,String> properties)`
`static IDBStore`
`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, IModelEvolutionSupport modelEvolutionSupport, Map<String,String> properties)`
`static void`
`prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_STATEMENT_CACHE_CAPACITY

public static final int DEFAULT_STATEMENT_CACHE_CAPACITY

Since:
  2.0
See Also:
  - Constant Field Values

### EXT_POINT_MAPPING_STRATEGIES

public static final String EXT_POINT_MAPPING_STRATEGIES

Since:
  2.0
See Also:
  - Constant Field Values

### PROP_WITH_RANGES

public static final String PROP_WITH_RANGES

Since:
  4.1
See Also:
  - Constant Field Values

### PROP_COPY_ON_BRANCH

public static final String PROP_COPY_ON_BRANCH

Since:
  4.1
See Also:
  - Constant Field Values

### PROP_ZEROBASED_INDEX

public static final String PROP_ZEROBASED_INDEX

Since:
  4.1
See Also:
  - Constant Field Values

## Method Details

### prepareContainer

public static void prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)

Since:
  4.0

### createStore

public static IDBStore createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider)

Since:
  2.0

### createStore

public static IDBStore createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, Map<String,String> properties)

Since:
  4.2

### createStore

public static IDBStore createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, IModelEvolutionSupport modelEvolutionSupport, Map<String,String> properties)

Since:
  4.14

### createHorizontalMappingStrategy

public static IMappingStrategy createHorizontalMappingStrategy(boolean auditing)

Since:
  2.0

### createHorizontalMappingStrategy

public static IMappingStrategy createHorizontalMappingStrategy(boolean auditing, boolean branching)

Since:
  3.0

### createHorizontalMappingStrategy

public static IMappingStrategy createHorizontalMappingStrategy(boolean auditing, boolean branching, boolean withRanges)

Since:
  4.1

### createHorizontalMappingStrategy

public static IMappingStrategy createHorizontalMappingStrategy()
Creates a horizontal `mapping strategy` that supports all valid combinations of auditing and branching.

Since:
  4.1

### createMappingStrategy

public static IMappingStrategy createMappingStrategy(String type)
Can only be used when Eclipse is running. In standalone scenarios create the mapping strategy instance by directly calling the constructor of the mapping strategy class.

Since:
  2.0
See Also:
  - `createHorizontalMappingStrategy(boolean)`
  - `createHorizontalMappingStrategy(boolean, boolean)`

### createStatementCache

@Deprecated public static IPreparedStatementCache createStatementCache()
Deprecated.
As of 4.2 use `IDBConnection.prepareStatement(String, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability)`.

Since:
  2.0

### createStatementCache

@Deprecated public static IPreparedStatementCache createStatementCache(int capacity)
Deprecated.
As of 4.2 use `IDBConnection.prepareStatement(String, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability)`.

Since:
  2.0